MPI_Issend(3)

NAME
MPI_Issend - Starts a nonblocking synchronous send.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Issend(void *buf, int count, MPI_Datatype datatype, int dest,
	int tag, MPI_Comm comm, MPI_Request *request)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_ISSEND(BUF, COUNT, DATATYPE, DEST, TAG, COMM, REQUEST, IERROR)
	<type>	BUF(*)
	INTEGER	COUNT, DATATYPE, DEST, TAG, COMM, REQUEST, IERROR

C++ Syntax
#include <mpi.h>
Request Comm::Issend(const void* buf, int count, const
	Datatype& datatype, int dest, int tag) const

INPUT PARAMETERS

buf Initial address of send buffer (choice).

count
    Number of elements in send buffer (integer).

datatype
    Datatype of each send buffer element (handle).

dest
    Rank of destination (integer).

tag Message tag (integer).

comm
    Communicator (handle).

OUTPUT PARAMETERS

request
    Communication request (handle).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
Starts a synchronous mode, nonblocking send.

Nonblocking calls allocate a communication request object and associate it with the request handle (the argument request). The request can be used later to query the status of the communication or wait for its completion.

A nonblocking send call indicates that the system may start copying data out of the send buffer. The sender should not access any part of the send buffer after a nonblocking send operation is called, until the send completes.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO
MPI_Ssend